Get By Request Id
Introduction
This API endpoint allows you to retrieve consolidated company data for a specific patron ID using a POST request. The API requires an access token for authorization and expects JSON data in the request body, including a task parameter and a request ID. The response will contain the requested company data.
Sample cURL
curl --request POST \
--url https://signzy.tech/api/v2/patrons/...patronID.../companyconsolidated \
--header 'Accept: */*' \
--header 'Accept-Language: en-US,en;q=0.8' \
--header 'Authorization: <Access-Token>' \
--header 'content-type: application/json' \
--data '{"task":"getData","essentials":{"requestId":"...requestId..."}}'Parameter | Data Type | Required | Description |
|---|---|---|---|
patronID | String | Yes | The ID of the patron whose company data you want to retrieve. |
Access-Token | String | Yes | The access token required for authorization. |
task | String | Yes | The task parameter required to indicate the type of data to be retrieved. In this case, it should be set to "getData". |
requestId | String | Yes | The unique ID for the request. This helps to track the request and response messages. |
Accept | String | No | The media type(s) that the client can understand, specified as a comma-separated list. If not specified, / is assumed. |
Accept-Language | String | No | The preferred natural language of the client, specified using ISO 639-1 language codes. If not specified, en-US,en;q=0.8 is assumed. |
content-type | String | Yes | The media type of the request body, specified as "application/json". This indicates that the request body is in JSON format. |
Sample Response
{
"result": {
"isComplete": false,
"updatedTime ": "...updatedTime..."
"status": "REQUESTED/FULFILLED",
"message": "..message..",
"companyData": {
"lastUpdated": "...lastUpdated...",
"companyDescription": "...companyDescription...",
"authorizedCapital": "...authorizedCapital...",
"cin": "...cin...",
"efilingStatus": "...efilingStatus...",
"dateOfIncorporation": "...dateOfIncorporation...",
"legalName": "...legalName...",
"companyName": "...companyName...",
"paidUpCapital": "...paidUpCapital...",
"sumOfCharges": "...sumOfCharges...",
"registeredAddress": {
"addressLine1": "...addressLine1...",
"addressLine2": "...addressLine2...",
"city": "...city...",
"pincode": "...pincode...",
"state": "...state..."
},
"businessAddress": {
"addressLine1": "...addressLine1...",
"addressLine2": "...addressLine2...",
"city": "...city...",
"pincode": "...pincode...",
"state": "...state..."
},
"pan": "...pan...",
"classification": "...classification...",
"status": "...status...",
"nextCin": "...nextCin...",
"lastAgmDate": "...lastAgmDate...",
"lastFilingDate": "...lastFilingDate...",
"email": "...email...",
"authorizedSignatories": [{
"pan": "...pan...",
"din": "...din...",
"name": "...name...",
"designation": "...designation...",
"dateOfBirth": "...dateOfBirth...",
"age": "...age...",
"dateOfAppointment": "...dateOfAppointment...",
"dateOfAppointmentForCurrentDesignation": "...dateOfAppointmentForCurrentDesignation...",
"dateOfCessation": "...dateOfCessation..."
}],
"charges": "...list of charges...",
"auditors": [{
"year": "...year...",
"auditorName": "...auditorName...",
"auditorFirmName": "...auditorFirmName..."
}],
"detailedFinancials": [{
"year": "...year...",
"nature": "...nature...",
"statedOn": "...statedOn...",
"filingStandard": "...filingStandard...",
"bs": {
"assets": {
"tangibleAssets": "...tangibleAssets...",
"producingProperties": "...producingProperties...",
"intangibleAssets": "...intangibleAssets...",
"preproducingProperties": "...preproducingProperties...",
"tangibleAssetsCapitalWorkInProgress": "...tangibleAssetsCapitalWorkInProgress...",
"intangibleAssetsUnderDevelopment": "...intangibleAssetsUnderDevelopment...",
"noncurrentInvestments": "...noncurrentInvestments...",
"deferredTaxAssetsNet": "...deferredTaxAssetsNet...",
"foreignCurrMonetaryItemTransDiffAssetAccount": "...foreignCurrMonetaryItemTransDiffAssetAccount...",
"longTermLoansAndAdvances": "...longTermLoansAndAdvances...",
"otherNoncurrentAssets": "...otherNoncurrentAssets...",
"currentInvestments": "...currentInvestments...",
"inventories": "...inventories...",
"tradeReceivables": "...tradeReceivables...",
"cashAndBankBalances": "...cashAndBankBalances...",
"shortTermLoansAndAdvances": "...shortTermLoansAndAdvances...",
"otherCurrentAssets": "...otherCurrentAssets...",
"givenAssetsTotal": "...givenAssetsTotal..."
},
"liabilities": {
"shareCapital": "...shareCapital...",
"reservesAndSurplus": "...reservesAndSurplus...",
"moneyReceivedAgainstShareWarrants": "...moneyReceivedAgainstShareWarrants...",
"shareApplicationMoneyPendingAllotment": "...shareApplicationMoneyPendingAllotment...",
"deferredGovernmentGrants": "...deferredGovernmentGrants...",
"minorityInterest": "...minorityInterest...",
"longTermBorrowings": "...longTermBorrowings...",
"deferredTaxLiabilitiesNet": "...deferredTaxLiabilitiesNet...",
"foreignCurrMonetaryItemTransDiffLiabilityAccount": "...foreignCurrMonetaryItemTransDiffLiabilityAccount...",
"otherLongTermLiabilities": "...otherLongTermLiabilities...",
"longTermProvisions": "...longTermProvisions...",
"shortTermBorrowings": "...shortTermBorrowings...",
"tradePayables": "...tradePayables...",
"otherCurrentLiabilities": "...otherCurrentLiabilities...",
"shortTermProvisions": "...shortTermProvisions...",
"givenLiabilities_total": "...givenLiabilities_total...",
"givenLiabilitiesTotal": "...givenLiabilitiesTotal..."
},
"subTotals": {
"totalEquity": "...totalEquity...",
"totalCurrentLiabilities": "...totalCurrentLiabilities...",
"netFixedAssets": "...netFixedAssets...",
"totalCurrentAssets": "...totalCurrentAssets...",
"capitalWip": "...capitalWip...",
"totalDebt": "...totalDebt..."
}
},
"pnl": {
"lineItems": {
"netRevenue": "...netRevenue...",
"totalCostOfMaterialsConsumed": "...totalCostOfMaterialsConsumed...",
"totalPurchasesOfStockInTrade": "...totalPurchasesOfStockInTrade...",
"totalChangesInInventoriesOrFinishedGoods": "...totalChangesInInventoriesOrFinishedGoods...",
"totalEmployeeBenefitExpense": "...totalEmployeeBenefitExpense...",
"totalOtherExpenses": "...totalOtherExpenses...",
"operatingProfit": "...operatingProfit...",
"otherIncome": "...otherIncome...",
"depreciation": "...depreciation...",
"profitBeforeInterestAndTax": "...profitBeforeInterestAndTax...",
"interest": "...interest...",
"profitBeforeTaxAndExceptionalItemsBeforeTax": "...profitBeforeTaxAndExceptionalItemsBeforeTax...",
"exceptionalItemsBeforeTax": "...exceptionalItemsBeforeTax...",
"profitBeforeTax": "...profitBeforeTax...",
"incomeTax": "...incomeTax...",
"profitForPeriodFromContinuingOperations": "...profitForPeriodFromContinuingOperations...",
"profitFromDiscontinuingOperationAfterTax": "...profitFromDiscontinuingOperationAfterTax...",
"minorityInterestAndProfitFromAssociatesAndJointVentures": "...minorityInterestAndProfitFromAssociatesAndJointVentures...",
"profitAfterTax": "...profitAfterTax..."
},
"subTotals": {
"totalOperatingCost": "...totalOperatingCost..."
},
// FOR XBRL FILING
"revenueBreakup": {
"revenueFromOperations": "...revenueFromOperations...",
"revenueFromInterest": "...revenueFromInterest...",
"revenueFromOtherFinancialServices": "...revenueFromOtherFinancialServices...",
"revenueFromSaleOfProducts": "...revenueFromSaleOfProducts...",
"revenueFromSaleOfServices": "...revenueFromSaleOfServices...",
"otherOperatingRevenues": "...otherOperatingRevenues...",
"exciseDuty": "...exciseDuty...",
"serviceTaxCollected": "...serviceTaxCollected...",
"otherDutiesTaxesCollected": "...otherDutiesTaxesCollected..."
}
// FOR E-FILING
"revenueBreakup": {
"saleOfGoodsManufacturedDomestic": "...saleOfGoodsManufacturedDomestic...",
"saleOfGoodsTradedDomestic": "...saleOfGoodsTradedDomestic...",
"saleOrSupplyOfServicesDomestic": "...saleOrSupplyOfServicesDomestic...",
"saleOfGoodsManufacturedExport": "...saleOfGoodsManufacturedExport...",
"saleOfGoodsTradedExport": "...saleOfGoodsTradedExport...",
"saleOrSupplyOfServicesExport": "...saleOrSupplyOfServicesExport..."
}
// FOR XBRL FILING
"depreciationBreakup": {
"depreciation": "...depreciation...",
"amortisation": "...amortisation...",
"depletion": "...depletion..."
}
// FOR E-FILING
"depreciationBreakup": {
"depreciationAndamortisation": "...depreciationAndamortisation..."
}
},
"auditorComments": {
"reportHasAdverseRemarks": "...reportHasAdverseRemarks...",
"disclosuresAuditorReport": "...list of disclosuresAuditorReport...",
"disclosuresDirectorReport": "...list of disclosuresDirectorReport..."
}
}],
"financialParameters": [{
"year": "...year...",
"nature": "...nature...",
"earningFc": "...earningFc...",
"expenditureFc": "...expenditureFc...",
"transactionRelatedPartiesAs18": "...transactionRelatedPartiesAs18...",
"grossFixedAssets": "...grossFixedAssets...",
"tradeReceivableExceedingSixMonths": "...tradeReceivableExceedingSixMonths...",
"proposedDividend": "...proposedDividend..."
}],
"industrySegments": [{
"industry": "...industry...",
"segments": "...list of segments..."
}],
"principalBusinessActivities": [{
"year": "...year...",
"mainActivityGroupCode": "...mainActivityGroupCode...",
"mainActivityGroupDescription": "...mainActivityGroupDescription...",
"businessActivityCode": "...businessActivityCode...",
"businessActivityDescription": "...businessActivityDescription...",
"percentageOfTurnover": "...percentageOfTurnover..."
}],
"shareholdings": [{
"shareholders": "...shareholders...",
"year": "...year...",
"category": "...category...",
"indianHeldNoOfShares": "...indianHeldNoOfShares...",
"indianHeldPercentageOfShares": "...indianHeldPercentageOfShares...",
"nriHeldNoOfShares": "...nriHeldNoOfShares...",
"nriHeldPercentageOfShares": "...nriHeldPercentageOfShares...",
"foreignHeldOtherThanNriNoOfShares": "...foreignHeldOtherThanNriNoOfShares...",
"foreignHeldOtherThanNriPercentageOfShares": "...foreignHeldOtherThanNriPercentageOfShares...",
"centralGovernmentHeldNoOfShares": "...centralGovernmentHeldNoOfShares...",
"centralGovernmentHeldPercentageOfShares": "...centralGovernmentHeldPercentageOfShares...",
"stateGovernmentHeldNoOfShares": "...stateGovernmentHeldNoOfShares...",
"stateGovernmentHeldPercentageOfShares": "...stateGovernmentHeldPercentageOfShares...",
"governmentCompanyHeldNoShares": "...governmentCompanyHeldNoShares...",
"governmentCompanyHeldPercentageOfShares": "...governmentCompanyHeldPercentageOfShares...",
"insuranceCompanyHeldNoOfShares": "...insuranceCompanyHeldNoOfShares...",
"insuranceCompanyHeldPercentageOfShares": "...insuranceCompanyHeldPercentageOfShares...",
"bankHeldNoOfShares": "...bankHeldNoOfShares...",
"bankHeldPercentageOfShares": "...bankHeldPercentageOfShares...",
"financialInstitutionsHeldNoOfShares": "...financialInstitutionsHeldNoOfShares...",
"financialInstitutionsHeldPercentageOfShares": "...financialInstitutionsHeldPercentageOfShares...",
"financialInstitutionsInvestorsHeldNoOfShares": "...financialInstitutionsInvestorsHeldNoOfShares...",
"financialInstitutionsInvestorsHeldPercentageOfShares": "...financialInstitutionsInvestorsHeldPercentageOfShares...",
"mutualFundsHeldNoOfShares": "...mutualFundsHeldNoOfShares...",
"mutualFundsHeldPercentageOfShares": "...mutualFundsHeldPercentageOfShares...",
"ventureCapitalHeldNoOfShares": "...ventureCapitalHeldNoOfShares...",
"ventureCapitalHeldPercentageOfShares": "...ventureCapitalHeldPercentageOfShares...",
"bodyCorporateHeldNoOfShares": "...bodyCorporateHeldNoOfShares...",
"bodyCorporateHeldPercentageOfShares": "...bodyCorporateHeldPercentageOfShares...",
"othersHeldNoOfShares": "...othersHeldNoOfShares...",
"othersHeldPercentageOfShares": "...othersHeldPercentageOfShares...",
"totalNoOfShares": "...totalNoOfShares...",
"totalPercentageOfShares": "...totalPercentageOfShares..."
}],
"shareholdingsSummary": [{
"year": "...year...",
"totalEquityShares": "...totalEquityShares...",
"totalPreferenceShares": "...totalPreferenceShares...",
"promoter": "...promoter...",
"public": "...public...",
"total": "...total..."
}],
"directorShareholdings": [{
"year": "...year...",
"dinPan": "...dinPan...",
"fullName": "...fullName...",
"designation": "...designation...",
"dateOfCessation": "...dateOfCessation...",
"noOfShares": "...noOfShares...",
"percentageHolding": "...percentageHolding..."
}],
"bifrHistory": "...list of bifrHistory...",
"cdrHistory": "...list of cdrHistory...",
"defaulterList": "...list of defaulterList...",
"legalHistory": "...list of legalHistory...",
"creditRatings": "...list of creditRatings...",
"holdingCompanies": "...list of holdingCompanies...",
"subsidiaryCompanies": "...list of subsidiaryCompanies..."
}
}
}Output Parameter | Data Type | Required | Description |
|---|---|---|---|
isComplete | boolean | Yes | Indicates whether the request is complete or not. |
updatedTime | string | Yes | Time when the result was last updated. |
status | string | Yes | Status of the requested/fulfilled data. |
message | string | No | Additional message about the status of the requested/fulfilled data. |
lastUpdated | string | Yes | Time when the company data was last updated. |
companyDescription | string | Yes | Description of the company. |
authorizedCapital | string | Yes | Amount of authorized capital of the company. |
cin | string | Yes | Corporate Identification Number (CIN) of the company. |
efilingStatus | string | Yes | Status of electronic filing of the company. |
dateOfIncorporation | string | Yes | Date of incorporation of the company. |
legalName | string | Yes | Legal name of the company. |
companyName | string | Yes | Name of the company. |
paidUpCapital | string | Yes | Amount of paid-up capital of the company. |
sumOfCharges | string | Yes | Total sum of charges of the company. |
registeredAddress.addressLine1 | string | Yes | Address line 1 of the registered address of the company. |
registeredAddress.addressLine2 | string | Yes | Address line 2 of the registered address of the company. |
registeredAddress.city | string | Yes | City of the registered address of the company. |
registeredAddress.pincode | string | Yes | Pincode of the registered address of the company. |
registeredAddress.state | string | Yes | State of the registered address of the company. |
 |  |  |  |
 |  |  |  |
|---|---|---|---|
businessAddress.addressLine1 | string | Yes | Address line 1 of the business address of the company. |
businessAddress.addressLine2 | string | Yes | Address line 2 of the business address of the company. |
businessAddress.city | string | Yes | City of the business address of the company. |
businessAddress.pincode | string | Yes | Pincode of the business address of the company. |
businessAddress.state | string | Yes | State of the business address of the company. |
pan | string | Yes | Permanent Account Number (PAN) of the company. |
classification | string | Yes | Classification of the company. |
status | string | Yes | Status of the company. |
nextCin | string | Yes | Next CIN number of the company. |
lastAgmDate | string | Yes | Date of the last Annual General Meeting (AGM) of the company. |
lastFilingDate | string | Yes | Date of the last filing of the company. |
string | Yes | Email of the company. | |
authorizedSignatories[].pan | string | Yes | PAN number of the authorized signatory of the company. |
authorizedSignatories[].din | string | Yes | Director Identification Number (DIN) of the authorized signatory of the company. |
authorizedSignatories[].name | string | Yes | Name of the authorized signatory of the company. |
authorizedSignatories[].designation | string | Yes | Designation of the authorized signatory of the company. |
authorizedSignatories[].dateOfBirth | string | Yes | Date of birth of the authorized signatory of the company. |
authorizedSignatories[].age | string | Yes | Age of the authorized signatory of the company. |
authorizedSignatories[].dateOfAppointment | string | Yes | Date of appointment of the authorized signatory of the company. |
authorizedSignatories[].dateOfAppointmentForCurrentDesignation | string | Yes | Date of appointment for the current designation of the authorized signatory of the company. |
authorizedSignatories[].dateOfCessation | string | Yes | Date of cessation of the authorized signatory of the company. |
Description | string | No | Description of the purpose and meaning of each output parameter. |
Regenerate response